ALTER TABLE PARASUPRI ADD IDAPUREFESOLEXT VARCHAR2(1) DEFAULT 'N' NOT NULL
   CONSTRAINT CKC_IDAPUREFESOLEXT CHECK (IDAPUREFESOLEXT IN ('S','N'))
/

ALTER TABLE LOGNECECOMP ADD IDGERSOLEXTNCMP VARCHAR2(1) DEFAULT 'N' NOT NULL
   CONSTRAINT CKC_IDGERSOLEXTNCMP CHECK (IDGERSOLEXTNCMP IN ('S','N'))
/

ALTER TABLE APURPRECO ADD IDCONSOLAPUEFET VARCHAR2(1) DEFAULT 'X' NULL
   CONSTRAINT CKC_IDCONSOLAPUEFET CHECK (IDCONSOLAPUEFET IS NULL OR (IDCONSOLAPUEFET IN ('S','N','X')))
/

CREATE TABLE FORNECMPEXTRA
(
    CDFORNECED        VARCHAR2(21)           NOT NULL,
    CDPAIS            VARCHAR2(4)            NOT NULL,
    SGESTADO          VARCHAR2(2)            NOT NULL,
    CDMUNICIPIO       VARCHAR2(4)            NOT NULL,
    CONSTRAINT PK_FORNECMPEXTRA PRIMARY KEY (CDFORNECED, CDPAIS, SGESTADO, CDMUNICIPIO),
	NRORG             NUMBER 	     DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') 		NOT NULL,
    IDATIVO           VARCHAR2(1)     DEFAULT 'S' 					NOT NULL
      CONSTRAINT CKC_IDATIVO_FORNECMPEXTRA CHECK (IDATIVO IN ('S','N')),
    DTINCLUSAO        DATE                  						NULL,
    DTULTATU          DATE                  						NULL,
    NRORGINCLUSAO     NUMBER          DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')		NULL,
    CDOPERINCLUSAO    VARCHAR2(12)    DEFAULT '1' 					NULL,
    NRORGULTATU       NUMBER          DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')		NULL,
    CDOPERULTATU      VARCHAR2(12)    DEFAULT '1'
)
/

ALTER TABLE FORNECMPEXTRA
    ADD CONSTRAINT FKCMP00422FORNECED FOREIGN KEY  (CDFORNECED)
       REFERENCES FORNECEDOR (CDFORNECED)
/

CREATE INDEX CMP00423_FK ON FORNECMPEXTRA (CDPAIS ASC, SGESTADO ASC, CDMUNICIPIO ASC)
/

ALTER TABLE FORNECMPEXTRA
    ADD CONSTRAINT FKCMP00423MUNICIPI FOREIGN KEY  (CDPAIS, SGESTADO, CDMUNICIPIO)
       REFERENCES MUNICIPIO (CDPAIS, SGESTADO, CDMUNICIPIO)
/